org.keycloak.representations.adapters.action

## Class AdminAction

- java.lang.Object
- - org.keycloak.representations.adapters.action.AdminAction

- Direct Known Subclasses:
    LogoutAction, PushNotBeforeAction, TestAvailabilityAction

      public abstract class AdminAction
      extends Object

  Posted to managed client from admin server.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `action`
    `protected int` | `expiration`
    `protected String` | `id`
    `protected String` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminAction()`
    `AdminAction(String id, int expiration, String resource, String action)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `int` | `getExpiration()` Time in seconds since epoc
    `String` | `getId()`
    `String` | `getResource()`
    `boolean` | `isExpired()`
    `void` | `setAction(String action)`
    `void` | `setExpiration(int expiration)`
    `void` | `setId(String id)`
    `void` | `setResource(String resource)`
    `abstract boolean` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### expiration

          protected int expiration

    - #### resource

          protected String resource

    - #### action

          protected String action

  - ### Constructor Detail

    - #### AdminAction

          public AdminAction()

    - #### AdminAction

          public AdminAction(String id,
                     int expiration,
                     String resource,
                     String action)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### isExpired

          public boolean isExpired()

    - #### getExpiration

          public int getExpiration()

      Time in seconds since epoc
      Returns:

    - #### setExpiration

          public void setExpiration(int expiration)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### validate

          public abstract boolean validate()

Copyright © 2014. All Rights Reserved.